package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussAppGuide;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

@Component
@Mapper
public interface TbPlussAppGuideMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussAppGuide record);

    int insertSelective(TbPlussAppGuide record);

    TbPlussAppGuide selectByPrimaryKey(Integer id);

    List<TbPlussAppGuide> selectGuideList();

    int updateByPrimaryKeySelective(TbPlussAppGuide record);

    int updateByPrimaryKeyWithBLOBs(TbPlussAppGuide record);

    int updateByPrimaryKey(TbPlussAppGuide record);
}